#!/usr/bin/env python
#Author: Mark Feineigle
#Create Date: 2018/04/30
#Last Modify: 2018/04/30
# deeper learning insights machine learning page 589

from sklearn.ensemble import BaggingClassifier
from sklearn.tree import DecisionTreeClassifier
from sklearn import datasets
bcls=BaggingClassifier(DecisionTreeClassifier(),
                       max_samples=0.5,
                       max_features=0.5,
                       n_estimators=50)
X,y=datasets.make_blobs(n_samples=8000,
                        centers=2,
                        random_state=0,
                        cluster_std=4)
bcls.fit(X,y)
print(bcls.score(X,y))

